Bug 2001983 - Incorrect StorageCluster CR created and ODF cluster getting installed with 2 Zone OCP cluster
Summary: Incorrect StorageCluster CR created and ODF cluster getting installed with 2 ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.9.0
Assignee: afrahman
QA Contact: Jilju Joy
URL:
Whiteboard:
Depends On: 2000573
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-07 15:27 UTC by OpenShift BugZilla Robot
Modified: 2021-10-18 17:51 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:51:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10010 0 None None None 2021-09-07 15:27:57 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:45 UTC

Comment 3 Jilju Joy 2021-09-09 06:55:29 UTC
Verified in version:
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.9.0-0.nightly-2021-09-08-233235   True        False         78m     Cluster version is 4.9.0-0.nightly-2021-09-08-233235

$ oc get csv
NAME                            DISPLAY                       VERSION        REPLACES   PHASE
noobaa-operator.v4.9.0-129.ci   NooBaa Operator               4.9.0-129.ci              Succeeded
ocs-operator.v4.9.0-129.ci      OpenShift Container Storage   4.9.0-129.ci              Succeeded
odf-operator.v4.9.0-129.ci      OpenShift Data Foundation     4.9.0-129.ci              Succeeded


Used 2 availability zones. ODF installation and storage system creation was done from GUI. Replica value is 3 as expected.


$ oc get storagecluster -o yaml
apiVersion: v1
items:
- apiVersion: ocs.openshift.io/v1
  kind: StorageCluster
  metadata:
    annotations:
      storagesystem.odf.openshift.io/watched-by: ocs-storagecluster-storagesystem
      uninstall.ocs.openshift.io/cleanup-policy: delete
      uninstall.ocs.openshift.io/mode: graceful
    creationTimestamp: "2021-09-09T05:48:48Z"
    finalizers:
    - storagecluster.ocs.openshift.io
    generation: 3
    name: ocs-storagecluster
    namespace: openshift-storage
    resourceVersion: "63838"
    uid: b397c94d-f49e-4f53-a68a-060f2269f86a
  spec:
    arbiter: {}
    encryption:
      kms: {}
    externalStorage: {}
    managedResources:
      cephBlockPools: {}
      cephCluster: {}
      cephConfig: {}
      cephDashboard: {}
      cephFilesystems: {}
      cephObjectStoreUsers: {}
      cephObjectStores: {}
    mirroring: {}
    nodeTopologies: {}
    storageDeviceSets:
    - config: {}
      count: 1
      dataPVCTemplate:
        metadata: {}
        spec:
          accessModes:
          - ReadWriteOnce
          resources:
            requests:
              storage: 512Gi
          storageClassName: gp2
          volumeMode: Block
        status: {}
      name: ocs-deviceset-gp2
      placement: {}
      portable: true
      preparePlacement: {}
      replica: 3
      resources: {}
    version: 4.9.0
  status:
    conditions:
    - lastHeartbeatTime: "2021-09-09T06:44:06Z"
      lastTransitionTime: "2021-09-09T05:58:06Z"
      message: Reconcile completed successfully
      reason: ReconcileCompleted
      status: "True"
      type: ReconcileComplete
    - lastHeartbeatTime: "2021-09-09T06:44:06Z"
      lastTransitionTime: "2021-09-09T05:59:43Z"
      message: Reconcile completed successfully
      reason: ReconcileCompleted
      status: "True"
      type: Available
    - lastHeartbeatTime: "2021-09-09T06:44:06Z"
      lastTransitionTime: "2021-09-09T05:59:43Z"
      message: Reconcile completed successfully
      reason: ReconcileCompleted
      status: "False"
      type: Progressing
    - lastHeartbeatTime: "2021-09-09T06:44:06Z"
      lastTransitionTime: "2021-09-09T05:48:48Z"
      message: Reconcile completed successfully
      reason: ReconcileCompleted
      status: "False"
      type: Degraded
    - lastHeartbeatTime: "2021-09-09T06:44:06Z"
      lastTransitionTime: "2021-09-09T05:59:43Z"
      message: Reconcile completed successfully
      reason: ReconcileCompleted
      status: "True"
      type: Upgradeable
    failureDomain: rack
    failureDomainKey: topology.rook.io/rack
    failureDomainValues:
    - rack0
    - rack1
    - rack2
    images:
      ceph:
        actualImage: quay.io/rhceph-dev/rhceph@sha256:efe1391ab28c3363308093a55f088a62eda06eab49bed707164c8db0d7dcb7dd
        desiredImage: quay.io/rhceph-dev/rhceph@sha256:efe1391ab28c3363308093a55f088a62eda06eab49bed707164c8db0d7dcb7dd
      noobaaCore:
        actualImage: quay.io/rhceph-dev/mcg-core@sha256:a23df063d713a7bce416f9e8635af52d2ec382485f7d4aaf404d6d7f209790f5
        desiredImage: quay.io/rhceph-dev/mcg-core@sha256:a23df063d713a7bce416f9e8635af52d2ec382485f7d4aaf404d6d7f209790f5
      noobaaDB:
        actualImage: registry.redhat.io/rhel8/postgresql-12@sha256:0c5350728fd5f7739eacaee7f32456d02cf1a2465f9d7fc48bacdcf73dcfa142
        desiredImage: registry.redhat.io/rhel8/postgresql-12@sha256:0c5350728fd5f7739eacaee7f32456d02cf1a2465f9d7fc48bacdcf73dcfa142
    nodeTopologies:
      labels:
        failure-domain.beta.kubernetes.io/region:
        - us-east-2
        failure-domain.beta.kubernetes.io/zone:
        - us-east-2a
        - us-east-2b
        kubernetes.io/hostname:
        - ip-10-0-189-17.us-east-2.compute.internal
        - ip-10-0-214-212.us-east-2.compute.internal
        - ip-10-0-170-208.us-east-2.compute.internal
        topology.rook.io/rack:
        - rack0
        - rack1
        - rack2
    phase: Ready
    relatedObjects:
    - apiVersion: ceph.rook.io/v1
      kind: CephCluster
      name: ocs-storagecluster-cephcluster
      namespace: openshift-storage
      resourceVersion: "63611"
      uid: bb03f17e-bf77-4132-8a64-b8aed3bc06c9
    - apiVersion: noobaa.io/v1alpha1
      kind: NooBaa
      name: noobaa
      namespace: openshift-storage
      resourceVersion: "63835"
      uid: 437aa697-23dc-44e2-857b-2f28ca396bd1
kind: List
metadata:
  resourceVersion: ""
  selfLink: ""



$ oc get pvc 
NAME                              STATUS   VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS                  AGE
db-noobaa-db-pg-0                 Bound    pvc-fdcce31a-10e4-4acc-a738-29ba804b6381   50Gi       RWO            ocs-storagecluster-ceph-rbd   49m
ocs-deviceset-gp2-0-data-0jb9nn   Bound    pvc-83477a23-91da-4d2e-a7aa-006f8e754351   512Gi      RWO            gp2                           50m
ocs-deviceset-gp2-1-data-0nnpmv   Bound    pvc-1c94f731-1e27-445d-9bcc-0339c6f5235f   512Gi      RWO            gp2                           50m
ocs-deviceset-gp2-2-data-0hgf2g   Bound    pvc-603796a4-52a3-4d7b-813a-da789d018389   512Gi      RWO            gp2                           50m
rook-ceph-mon-a                   Bound    pvc-7ac80459-fb60-47d9-8546-ef4cf68ab334   50Gi       RWO            gp2                           58m
rook-ceph-mon-b                   Bound    pvc-cc173335-4e81-492b-8085-b0cdd6f4d10a   50Gi       RWO            gp2                           58m
rook-ceph-mon-c                   Bound    pvc-360c30e9-3619-481d-8f4a-5fb875b4c212   50Gi       RWO            gp2                           58m


$ oc get pods -o wide -l app=rook-ceph-osd
NAME                               READY   STATUS    RESTARTS   AGE   IP            NODE                                         NOMINATED NODE   READINESS GATES
rook-ceph-osd-0-7f5dd89db7-mwhtr   2/2     Running   0          54m   10.129.2.21   ip-10-0-214-212.us-east-2.compute.internal   <none>           <none>
rook-ceph-osd-1-5886fcf746-g6zxf   2/2     Running   0          53m   10.128.2.23   ip-10-0-189-17.us-east-2.compute.internal    <none>           <none>
rook-ceph-osd-2-5774b57b76-9vmq2   2/2     Running   0          53m   10.131.0.44   ip-10-0-170-208.us-east-2.compute.internal   <none>           <none>


$ oc get nodes -o wide --show-labels
NAME                                         STATUS   ROLES    AGE   VERSION                INTERNAL-IP    EXTERNAL-IP   OS-IMAGE                                                       KERNEL-VERSION                 CONTAINER-RUNTIME                           LABELS
ip-10-0-140-113.us-east-2.compute.internal   Ready    master   94m   v1.22.0-rc.0+75ee307   10.0.140.113   <none>        Red Hat Enterprise Linux CoreOS 49.84.202109071840-0 (Ootpa)   4.18.0-305.17.1.el8_4.x86_64   cri-o://1.22.0-68.rhaos4.9.git011c10a.el8   beta.kubernetes.io/arch=amd64,beta.kubernetes.io/instance-type=m4.xlarge,beta.kubernetes.io/os=linux,failure-domain.beta.kubernetes.io/region=us-east-2,failure-domain.beta.kubernetes.io/zone=us-east-2a,kubernetes.io/arch=amd64,kubernetes.io/hostname=ip-10-0-140-113.us-east-2.compute.internal,kubernetes.io/os=linux,node-role.kubernetes.io/master=,node.kubernetes.io/instance-type=m4.xlarge,node.openshift.io/os_id=rhcos,topology.ebs.csi.aws.com/zone=us-east-2a,topology.kubernetes.io/region=us-east-2,topology.kubernetes.io/zone=us-east-2a
ip-10-0-170-208.us-east-2.compute.internal   Ready    worker   87m   v1.22.0-rc.0+75ee307   10.0.170.208   <none>        Red Hat Enterprise Linux CoreOS 49.84.202109071840-0 (Ootpa)   4.18.0-305.17.1.el8_4.x86_64   cri-o://1.22.0-68.rhaos4.9.git011c10a.el8   beta.kubernetes.io/arch=amd64,beta.kubernetes.io/instance-type=m5.4xlarge,beta.kubernetes.io/os=linux,cluster.ocs.openshift.io/openshift-storage=,failure-domain.beta.kubernetes.io/region=us-east-2,failure-domain.beta.kubernetes.io/zone=us-east-2a,kubernetes.io/arch=amd64,kubernetes.io/hostname=ip-10-0-170-208.us-east-2.compute.internal,kubernetes.io/os=linux,node-role.kubernetes.io/worker=,node.kubernetes.io/instance-type=m5.4xlarge,node.openshift.io/os_id=rhcos,topology.ebs.csi.aws.com/zone=us-east-2a,topology.kubernetes.io/region=us-east-2,topology.kubernetes.io/zone=us-east-2a,topology.rook.io/rack=rack2
ip-10-0-182-165.us-east-2.compute.internal   Ready    master   94m   v1.22.0-rc.0+75ee307   10.0.182.165   <none>        Red Hat Enterprise Linux CoreOS 49.84.202109071840-0 (Ootpa)   4.18.0-305.17.1.el8_4.x86_64   cri-o://1.22.0-68.rhaos4.9.git011c10a.el8   beta.kubernetes.io/arch=amd64,beta.kubernetes.io/instance-type=m4.xlarge,beta.kubernetes.io/os=linux,failure-domain.beta.kubernetes.io/region=us-east-2,failure-domain.beta.kubernetes.io/zone=us-east-2a,kubernetes.io/arch=amd64,kubernetes.io/hostname=ip-10-0-182-165.us-east-2.compute.internal,kubernetes.io/os=linux,node-role.kubernetes.io/master=,node.kubernetes.io/instance-type=m4.xlarge,node.openshift.io/os_id=rhcos,topology.ebs.csi.aws.com/zone=us-east-2a,topology.kubernetes.io/region=us-east-2,topology.kubernetes.io/zone=us-east-2a
ip-10-0-189-17.us-east-2.compute.internal    Ready    worker   87m   v1.22.0-rc.0+75ee307   10.0.189.17    <none>        Red Hat Enterprise Linux CoreOS 49.84.202109071840-0 (Ootpa)   4.18.0-305.17.1.el8_4.x86_64   cri-o://1.22.0-68.rhaos4.9.git011c10a.el8   beta.kubernetes.io/arch=amd64,beta.kubernetes.io/instance-type=m5.4xlarge,beta.kubernetes.io/os=linux,cluster.ocs.openshift.io/openshift-storage=,failure-domain.beta.kubernetes.io/region=us-east-2,failure-domain.beta.kubernetes.io/zone=us-east-2a,kubernetes.io/arch=amd64,kubernetes.io/hostname=ip-10-0-189-17.us-east-2.compute.internal,kubernetes.io/os=linux,node-role.kubernetes.io/worker=,node.kubernetes.io/instance-type=m5.4xlarge,node.openshift.io/os_id=rhcos,topology.ebs.csi.aws.com/zone=us-east-2a,topology.kubernetes.io/region=us-east-2,topology.kubernetes.io/zone=us-east-2a,topology.rook.io/rack=rack0
ip-10-0-214-212.us-east-2.compute.internal   Ready    worker   85m   v1.22.0-rc.0+75ee307   10.0.214.212   <none>        Red Hat Enterprise Linux CoreOS 49.84.202109071840-0 (Ootpa)   4.18.0-305.17.1.el8_4.x86_64   cri-o://1.22.0-68.rhaos4.9.git011c10a.el8   beta.kubernetes.io/arch=amd64,beta.kubernetes.io/instance-type=m5.4xlarge,beta.kubernetes.io/os=linux,cluster.ocs.openshift.io/openshift-storage=,failure-domain.beta.kubernetes.io/region=us-east-2,failure-domain.beta.kubernetes.io/zone=us-east-2b,kubernetes.io/arch=amd64,kubernetes.io/hostname=ip-10-0-214-212.us-east-2.compute.internal,kubernetes.io/os=linux,node-role.kubernetes.io/worker=,node.kubernetes.io/instance-type=m5.4xlarge,node.openshift.io/os_id=rhcos,topology.ebs.csi.aws.com/zone=us-east-2b,topology.kubernetes.io/region=us-east-2,topology.kubernetes.io/zone=us-east-2b,topology.rook.io/rack=rack1
ip-10-0-243-231.us-east-2.compute.internal   Ready    master   94m   v1.22.0-rc.0+75ee307   10.0.243.231   <none>        Red Hat Enterprise Linux CoreOS 49.84.202109071840-0 (Ootpa)   4.18.0-305.17.1.el8_4.x86_64   cri-o://1.22.0-68.rhaos4.9.git011c10a.el8   beta.kubernetes.io/arch=amd64,beta.kubernetes.io/instance-type=m4.xlarge,beta.kubernetes.io/os=linux,failure-domain.beta.kubernetes.io/region=us-east-2,failure-domain.beta.kubernetes.io/zone=us-east-2b,kubernetes.io/arch=amd64,kubernetes.io/hostname=ip-10-0-243-231.us-east-2.compute.internal,kubernetes.io/os=linux,node-role.kubernetes.io/master=,node.kubernetes.io/instance-type=m4.xlarge,node.openshift.io/os_id=rhcos,topology.ebs.csi.aws.com/zone=us-east-2b,topology.kubernetes.io/region=us-east-2,topology.kubernetes.io/zone=us-east-2b



Tested on AWS internal mode.

Comment 6 errata-xmlrpc 2021-10-18 17:51:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.